Page MenuHomeFreeBSD

lang/ponyc: Add llvm_static flavor
AbandonedPublic

Authored by tobik on Nov 9 2019, 12:10 PM.

Details

Summary

Remove newly added lang/ponyc-static again and make it a flavor.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 27638
Build 25845: arc lint + arc unit

Event Timeline

tobik created this revision.Nov 9 2019, 12:10 PM
This revision is now accepted and ready to land.Nov 10 2019, 6:13 PM
mat added inline comments.Nov 19 2019, 2:17 PM
lang/ponyc/Makefile
54–56

The STATIC option should be removed, and turned into a if/else depending on the flavor.

This revision now requires review to proceed.Nov 19 2019, 3:40 PM
mat accepted this revision as: portmgr.Nov 20 2019, 4:39 PM

Looks ok to me.

tobik abandoned this revision.Nov 20 2019, 5:42 PM

Thanks. Committed in rP518038.

Apparently this did not auto-close for some reason.